search
Log In

Recent questions tagged exception-handling

0 votes
0 answers
1
#include<iostream> using namespace std; class Base {}; class Derived: public Base {}; int main() { Derived d; // some other stuff try { // Some monitored code throw d; } catch(Base b) { cout<<"Caught Base Exception"; } catch(Derived d) { //This ... derived class object but base class exception is caught can anyone explain how it is happened internally . and what is class Derived: public Base {};
asked Feb 9, 2019 in Programming shiva0 250 views
1 vote
1 answer
2
Which of the following are two special functions that are meant for handling exception, that occur during exception handling itself? Void terminate () and void unexpected() Non void terminate () and void unexpected() Void terminate () and non void unexpected() Non void terminate () and non void unexpected()
asked Jul 11, 2016 in Programming jothee 998 views
To see more, click for the full list of questions or popular tags.
...